Main Page Widgets Namespaces Book

# Glib::SignalProxy3< R, P1, P2, P3 > Class Template Reference

Inheritance diagram for Glib::SignalProxy3< R, P1, P2, P3 >:

[legend]
List of all members.

## Detailed Description

### template <class R, class P1, class P2, class P3>
class Glib::SignalProxy3< R, P1, P2, P3 >

Proxy for signals with 3 arguments.

Use the connect() method, with SigC::slot() to connect signals to signal handlers.

## Public Types

typedef SigC::Slot3< R, P1, P2, P3 > | SlotType
typedef SigC::Slot3< void, P1, P2, P3 > | VoidSlotType

## Public Member Functions

| SignalProxy3 (ObjectBase* obj, const SignalProxyInfo* info)
SigC::Connection | connect (const SlotType& slot, bool after=true)
SigC::Connection | connect_notify (const VoidSlotType& slot, bool after=false)

## Member Typedef Documentation

template <class R, class P1, class P2, class P3>
typedef SigC::Slot3<R,P1,P2,P3> Glib::SignalProxy3<R, P1, P2, P3>::SlotType

template <class R, class P1, class P2, class P3>
typedef SigC::Slot3<void,P1,P2,P3> Glib::SignalProxy3<R, P1, P2, P3>::VoidSlotType

## Constructor & Destructor Documentation

template <class R, class P1, class P2, class P3>
Glib::SignalProxy3<R, P1, P2, P3>::SignalProxy3 | ( | ObjectBase* | obj,
|  | const SignalProxyInfo* | info
| ) | `[inline]`

## Member Function Documentation

template <class R, class P1, class P2, class P3>
SigC::Connection Glib::SignalProxy3<R, P1, P2, P3>::connect | ( | const SlotType& | slot,
|  | bool | after = true
| ) | `[inline]`

template <class R, class P1, class P2, class P3>
SigC::Connection Glib::SignalProxy3<R, P1, P2, P3>::connect_notify | ( | const VoidSlotType& | slot,
|  | bool | after = false
| ) | `[inline]`

The documentation for this class was generated from the following file:

- signalproxy.h